/**
 * Gov.co (https://www.gov.co) - Gobierno de Colombia
 *  - Componente: Opcion de seleccion
 *  - Version: 4.0.0
 */
/* all */
.container-entradas-govco {
 padding: 1rem 0;
 font-size: 1rem;
}

.label-texto-govco {
 color: #4b4b4b;
 display: block;
 font-size: 1rem;
}
 
.label-texto-govco label {
 font-size: 1rem;
 color: #4b4b4b;
}

/* checkbox */
.checkbox-govco input[type="checkbox"] + label {
  color: #4B4B4B;
  font-size: 1rem;
}

.checkbox-govco input[type="checkbox"] {
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  margin: 0;
  font: inherit;
  color: #3366CC;
  width: 1.25rem;
  height: 1.25rem;
  border: 0.188rem solid #3366cc;
  transform: translateY(-0.075em);
  border-radius: 0.25rem;
  display: inline-grid;
  place-content: center;
  float: left;
  margin-right: 0.5em;
  margin-top: 0.25em;
  position: relative!important;
  opacity: 1!important;
}


.checkbox-govco input[type="checkbox"]:checked::after {
  content: "";
  margin: 0;
  padding: 0;
  display: block;
  position: absolute;
  top: 0px;
  left: 3px;
  width: 7px;
  height: 13px;
  border: solid #ffffff;
  border-width: 0 3px 3px 0;
  transform: rotate(45deg);
  border-radius: 2px;
}

.checkbox-govco input[type="checkbox"]:not(:checked), [type="checkbox"]:checked {
  pointer-events: auto!important;
}

.checkbox-govco input[type="checkbox"]:checked {
  background-color: #3366CC;
}

.checkbox-govco input[type="checkbox"]:focus-visible {
  outline: max(0.125rem, 0.15em) solid #000000;
  outline-offset: max(0.125rem, 0.15em);
}

.checkbox-govco input[type="checkbox"]:disabled {
  border: 0.188rem solid #737373;
}

.checkbox-govco input[type="checkbox"]:checked:disabled {
  background-color: #737373;
}

.checkbox-govco input[type="checkbox"]:disabled + label {
  color: #737373;
}

/* switch */
.switch-govco {
 margin: 0;
 padding: 0;
 display: block;
 margin-bottom: 15px;
 display: flex;
 align-items: center;
}

.switch-govco input {
 margin-top: 9px;
 padding: 0;
 margin: 0;
 cursor: pointer;
 border: 1px solid #3366cc;
 height: 1.25rem;
 width: 2.25rem !important;
 position: relative!important;
 opacity: 1!important;
 background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='3.8' fill='rgba(51, 102, 204)'/></svg>") !important;
}

.switch-govco input:checked {
 background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='3.8' fill='%23fff'/></svg>") !important;
 background-color: #3366cc;
 border: 1px solid #3366cc;
}

.switch-govco input:disabled {
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='3.8' fill='%23737373'/></svg>") !important;
  background-color: #BABABA;
  border: 1px solid #737373;
}

.switch-govco input:checked:disabled {
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='3.8' fill='%23fff'/></svg>") !important;
  background-color: #737373;
}

.switch-govco input:disabled + label {
  color: #737373;
}

.switch-govco input:focus-visible, .focus-switch {
  outline: 2px solid black;
  outline-offset: 3px;
  box-shadow: none !important;
}

.switch-govco label {
 margin: 0;
 padding: 0;
 position: relative;
 cursor: pointer;
 margin-bottom: 0px;
 display: initial;
 margin-left: 0.5rem;
 font-size: 1rem;
}

/* Radio button */
.form-check-govco {
  margin-bottom: 0.125rem;
}

input.radio-seleccion-govco[type="radio"] + label {
  color: #4B4B4B;
  font-size: 1rem;
}

input.radio-seleccion-govco[type="radio"] {
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  margin: 0;
  font: inherit;
  color: #3366CC;
  width: 1.15em;
  height: 1.15em;
  border: 0.1667rem solid #3366cc;
  border-radius: 50%;
  transform: translateY(-0.075em);
  display: inline-grid;
  place-content: center;
  float: left;
  margin-right: 0.5em;
  margin-top: 0.25em;
  position: relative!important;
  opacity: 1!important;
}

input.radio-seleccion-govco[type="radio"]:hover {
  border: 0.15em solid #004884;
}

input.radio-seleccion-govco[type="radio"]:disabled {
  border: 0.15em solid #737373;
}

input.radio-seleccion-govco[type="radio"]:disabled + label {
  color: #737373;
}

input.radio-seleccion-govco[type="radio"]::before {
  content: "";
  width: 0.65em;
  height: 0.65em;
  border-radius: 50%;
  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em #3366CC;
}

input.radio-seleccion-govco[type="radio"]:hover::before {
  box-shadow: inset 1em 1em #004884;
}

input.radio-seleccion-govco[type="radio"]:disabled::before {
  box-shadow: inset 1em 1em #737373;
}

input.radio-seleccion-govco[type="radio"]:checked::before {
  transform: scale(1);
}

input.radio-seleccion-govco[type="radio"]:focus-visible {
  outline: max(0.125rem, 0.15em) solid #000000;
  outline-offset: max(0.125rem, 0.15em);
}

[type="radio"]:not(:checked), [type="radio"]:checked {
  pointer-events: all !important;
}